petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFComputeDegreeBegin

begin computation of degree for each root vertex, to be completed with PetscSFComputeDegreeEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComputeDegreeBegin(PetscSF sf,const PetscInt **degree)

Collective

### Input Arguments

sf -star forest

### Output Arguments

degree -degree of each root vertex

### See Also

PetscSFGatherBegin()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages